## org.hibernate.bytecode.buildtime.spi
Class ExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.bytecode.buildtime.spi.ExecutionException

All Implemented Interfaces:
  Serializable

    public class ExecutionException

extends RuntimeException

Indicates problem performing the instrumentation execution.

See Also:
  Serialized Form

Constructor Summary
`ExecutionException(String message)`
`ExecutionException(String message, Throwable cause)`
`ExecutionException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionException

    public ExecutionException(String message)

### ExecutionException

    public ExecutionException(Throwable cause)

### ExecutionException

    public ExecutionException(String message,
                              Throwable cause)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.